Last modified: 2014-06-09 06:18:03 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 56935 - MWDeprecationWarning: Use of "mwEditButtons" property is deprecated. Use mw.toolbar instead
MWDeprecationWarning: Use of "mwEditButtons" property is deprecated. Use mw.t...
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
LiquidThreads (Other open bugs)
master
All All
: Low trivial (vote)
: ---
Assigned To: Mateusz Maćkowski
http://www.google-melange.com/gci/tas...
gci2013
: easy, javascript
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2013-11-12 09:26 UTC by Helder
Modified: 2014-06-09 06:18 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Helder 2013-11-12 09:26:40 UTC
I'm getting the warning above from this file:
https://bits.wikimedia.org/static-1.23wmf3/extensions/LiquidThreads/lqt.js
when I click on any "Reply" buttons (with the classic edit toolbar enabled).
Comment 1 Bartosz Dziewoński 2013-12-23 19:27:53 UTC
That line should just be removed, mwEditButtons is no longer supported and any actions done to it are no-ops.
Comment 2 Nemo 2013-12-27 09:20:29 UTC
Ok for GCI.
Comment 3 Quim Gil 2013-12-29 06:01:53 UTC
Thank you! Google Code-in task created.
Comment 4 Gerrit Notification Bot 2013-12-29 13:48:03 UTC
Change 104346 had a related patch set uploaded by M4tx:
Remove use of deprecated mwEditButtons property

https://gerrit.wikimedia.org/r/104346
Comment 5 Gerrit Notification Bot 2013-12-29 18:54:48 UTC
Change 104346 merged by jenkins-bot:
Remove use of deprecated mwEditButtons property

https://gerrit.wikimedia.org/r/104346

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links